LogKitLogRecord (LogKit API)
Keywords: org.apache.log.output.lf5.LogKitLogRecord,LogKitLogRecord class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.log.output.lf5
Class LogKitLogRecord

    java.lang.Object
      |
      +--org.apache.log4j.lf5.LogRecord
            |
            +--org.apache.log.output.lf5.LogKitLogRecord

All Implemented Interfaces:
  Serializable

public class LogKitLogRecord
extends org.apache.log4j.lf5.LogRecord

An implementation of a LogFactor5 `LogRecord` based on a LogKit `LogEvent`.

Version:
  CVS $Revision: 1.4 $ $Date: 2003/02/09 23:33:24 $
Author:
  Sylvain Wallez
See Also:
  Serialized Form

Field Summary
`static List` | `LOGKIT_LOGLEVELS` The `LogLevel`s corresponding to LogKit priorities.

Fields inherited from class org.apache.log4j.lf5.LogRecord
`_category, _level, _location, _message, _millis, _ndc, _seqCount, _sequenceNumber, _thread, _thrown, _thrownStackTrace`

Constructor Summary
`LogKitLogRecord(LogEvent event, Formatter fmt)` Create a LogFactor record from a LogKit event

Method Summary
`boolean` | `isSevereLevel()`
`org.apache.log4j.lf5.LogLevel` | `toLogLevel(Priority priority)` Convert a LogKit `Priority` to a LogFactor `LogLevel`.

Methods inherited from class org.apache.log4j.lf5.LogRecord
`getCategory, getLevel, getLocation, getMessage, getMillis, getNDC, getNextId, getSequenceNumber, getThreadDescription, getThrown, getThrownStackTrace, hasThrown, isFatal, resetSequenceNumber, setCategory, setLevel, setLocation, setMessage, setMillis, setNDC, setSequenceNumber, setThreadDescription, setThrown, setThrownStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### LOGKIT_LOGLEVELS

    public static final List LOGKIT_LOGLEVELS

  The `LogLevel`s corresponding to LogKit priorities.

Constructor Detail

### LogKitLogRecord

    public LogKitLogRecord(LogEvent event,
                           Formatter fmt)

  Create a LogFactor record from a LogKit event

Method Detail

### isSevereLevel

    public boolean isSevereLevel()

  Specified by:
    `isSevereLevel` in class `org.apache.log4j.lf5.LogRecord`

### toLogLevel

    public org.apache.log4j.lf5.LogLevel toLogLevel(Priority priority)

  Convert a LogKit `Priority` to a LogFactor `LogLevel`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Apache Jakarta Project. All Rights Reserved.